Leopardの件

Leopardがリリースされましたな。
かくいうワタシはというと,なぜか今頃Quartz Composerにハマってます。

Leopard Technology Series for Developers: Graphics and Media Overview

With the QC Plugin API, you can go even further
and create your own custom patches by using Xcode.

パッチを自分で作れるようになる,ということでこれは楽しそう!

Objective-C 2.0もいいんだけど,

Leopard Technology Series for Developers: Objective-C 2.0 Overview

If you're writing new applications for Leopard, you should make full use of the new features in Objective-C 2.0 to write modern Cocoa applications. On the other hand, if you still need to support older versions of Mac OS X, you can code as you always have using Objective-C 1.0 features and your application will run unchanged on Leopard.

つねづね思うんだけど,Microsoftがなんだかんだ言っても,基盤になると思われる機能を前のバージョンのOSでも使えるようにしてくれる一方で,Appleはほんと,前のバージョンのOSをばっさり切り捨てるよね。

「if you still need to support older versions of Mac OS X」って。
完全な顧客限定アプリ(個別開発アプリ)か,超キラーアプリしか,Leopard限定なんてことはできんでしょ。